Name: x11-font-misc-misc
Version: 1.1.2
Release: %mkrel 10
Summary: Xorg X11 font misc-misc
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/font-misc-misc-%{version}.tar.bz2
License: Public Domain
BuildArch: noarch
BuildRequires: x11-font-util >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.2
Requires(post,postun): mkfontdir mkfontscale

%description
Xorg X11 font misc-misc

%prep
%setup -q -n font-misc-misc-%{version}

%build
# to recognize aarch64
autoreconf -vfi

./configure --prefix=%{_prefix} --with-fontdir=%_datadir/fonts/misc

%make_build

%install
%make_install
rm -f %{buildroot}%_datadir/fonts/misc/fonts.dir
rm -f %{buildroot}%_datadir/fonts/misc/fonts.scale

%post
mkfontscale %_datadir/fonts/misc
mkfontdir %_datadir/fonts/misc

%postun
mkfontscale %_datadir/fonts/misc
mkfontdir %_datadir/fonts/misc

%files
%_datadir/fonts/misc/10x20*.pcf.gz
%_datadir/fonts/misc/12x13ja.pcf.gz
%_datadir/fonts/misc/18x18*.pcf.gz
%_datadir/fonts/misc/4x6*.pcf.gz
%_datadir/fonts/misc/5x7*.pcf.gz
%_datadir/fonts/misc/5x8*.pcf.gz
%_datadir/fonts/misc/6x10*.pcf.gz
%_datadir/fonts/misc/6x12*.pcf.gz
%_datadir/fonts/misc/6x13*.pcf.gz
%_datadir/fonts/misc/6x9*.pcf.gz
%_datadir/fonts/misc/7x13*.pcf.gz
%_datadir/fonts/misc/7x14*.pcf.gz
%_datadir/fonts/misc/8x13*.pcf.gz
%_datadir/fonts/misc/9x15*.pcf.gz
%_datadir/fonts/misc/9x18*.pcf.gz
%_datadir/fonts/misc/k14.pcf.gz
%_datadir/fonts/misc/nil2.pcf.gz






%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.1.2-10.mga9
+ Revision: 1819214
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.1.2-9.mga8
+ Revision: 1508264
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.1.2-8.mga7
+ Revision: 1292152
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.1.2-7.mga7
+ Revision: 1233977
- drop old conflicts
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 1.1.2-6.mga6
+ Revision: 943911
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 749774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 690510
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 520297
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 386320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 dmorgan <dmorgan> 1.1.2-1.mga3
+ Revision: 7992
- imported package x11-font-misc-misc


* Thu Dec 09 2010 Thierry Vignaud <tv@mandriva.org> 1.1.2-1mdv2011.0
+ Revision: 618743
- new release

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 583220
- new release

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 583212
- new release

* Wed Jan 13 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 490609
- New version: 1.1.0

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.0-9mdv2009.1
+ Revision: 351282
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-8mdv2009.0
+ Revision: 225999
- rebuild
- fix no-buildroot-tag

* Mon Feb 04 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-7mdv2008.1
+ Revision: 162433
- fix uninstalling
- stop using prereq
- kill re-definition of %%buildroot on Pixel's request

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.0-6mdv2008.0
+ Revision: 48673
- remove unecessary configure flags
- remove /usr/share/fonts/misc/ from %%files, will put it in
  x11-font-alias where other directories belong.

* Tue Jul 03 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0.0-5mdv2008.0
+ Revision: 47633
- own %%_datadir/fonts/misc
- fix license field


* Thu Aug 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-03 18:55:09 (51491)
- Fonts packages now are noarch. Moved for new place /usr/share/fonts. Approved by Boiko

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

